### Function

# Clutter StageInputForeachFunc

#### Declaration

    gboolean
    (* ClutterStageInputForeachFunc) (
      ClutterStage* stage,
      ClutterInputDevice* device,
      ClutterEventSequence* sequence,
      gpointer user_data
    )

#### Description [src]

Iterator function for active input. Active input counts as any pointing device currently known to have some form of activity on the stage: Pointers leaning on a widget, tablet styli in proximity, active touchpoints…

#### Parameters

`stage`

  Type: `ClutterStage`

  The stage.

  The data is owned by the caller of the function.

`device`

  Type: `ClutterInputDevice`

  Active input device.

  The data is owned by the caller of the function.

`sequence`

  Type: `ClutterEventSequence`

  Active sequence in `device`, or `NULL`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  Data passed to clutter_stage_active_input_foreach().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to keep iterating. `FALSE` to stop.